<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: ResultView_success.class.php,v 1.1 2005/06/20 09:31:25 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	ResultView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	ResultView
*/
class ResultView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
		
        $renderer->setAttribute('exam_admin', $request->getAttribute('exam_admin'));
        $renderer->setAttribute('exam_student', $request->getAttribute('exam_student'));
        $renderer->setAttribute('time_over', $request->getAttribute('time_over'));
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));

		if( $request->getAttribute('type') == 'mobile'){
    	    $renderer->setTemplate('Result_success.php');
		} else {
	        $renderer->setTemplate('Result_success_pc.php');
		}

        return $renderer;

    }

}

?>